Subject: Re: linux-next: build warning after merge of the driver-core tree

From: Greg KH <[email-masked]>
Date: Thu, 2 Sep 2010 12:59:53 -0700

On Thu, Sep 02, 2010 at 12:14:27PM +0200, Thomas Renninger wrote:
> On Thursday 02 September 2010 05:29:11 Greg KH wrote:
> > On Thu, Sep 02, 2010 at 01:18:35PM +1000, Stephen Rothwell wrote:
> > > Hi Greg,
> ...
> > > kernel/params.c: In function 'parse_args':
> > > kernel/params.c:200: warning: passing argument 2 of 'snprintf' makes integer from pointer without a cast
> > > include/linux/kernel.h:203: note: expected 'size_t' but argument is of type 'char *'
> > > 
> > > Caused by commit d1aa8e2ab38942b21d543611d4f829597d8791d4 ("Dynamic
> > > Debug: Introduce global fake module param module.ddebug").
> > > 
> > > Some warnings should not be ignored ... and it does make me wonder how
> > > much testing this has had ...
> Strange, I tried this out and it worked, I doubt that this version could.
> Possibly it slipped in when getting dddebug patches together for resending
> to Greg, no idea.

Ok, I've replaced it with this version, looks better.

thanks,

greg k-h